JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom.prep
Class PreparedGeometryFactory

    java.lang.Object
      com.vividsolutions.jts.geom.prep.PreparedGeometryFactory

    public class PreparedGeometryFactory

extends java.lang.Object

A factory for creating `PreparedGeometry`s. It chooses an appropriate implementation of PreparedGeometry based on the geoemtric type of the input geometry.

In the future, the factory may accept hints that indicate special optimizations which can be performed.

Author:
  Martin Davis

Constructor Summary
`PreparedGeometryFactory()`

Method Summary
`PreparedGeometry` `create(Geometry geom)` Creates a new `PreparedGeometry` appropriate for the argument `Geometry`.
`static PreparedGeometry` `prepare(Geometry geom)` Creates a new `PreparedGeometry` appropriate for the argument `Geometry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedGeometryFactory

    public PreparedGeometryFactory()

Method Detail

### prepare

    public static PreparedGeometry prepare(Geometry geom)

  Creates a new `PreparedGeometry` appropriate for the argument `Geometry`.

  Parameters:
    `geom` - the geometry to prepare
  Returns:
    the prepared geometry

### create

    public PreparedGeometry create(Geometry geom)

  Creates a new `PreparedGeometry` appropriate for the argument `Geometry`.

  Parameters:
    `geom` - the geometry to prepare
  Returns:
    the prepared geometry

JTS Topology Suite version 1.13